#ifndef __fncfunctions_h_
#define __fncfunctions_h_


/** includes **/
#include "fnccommon.h"
#include "fnctools.h"


/** variables **/
/* structures for function table */
extern HX_FDInfo *hx_dfinfo;
extern int hx_nb_dfinfo;
/* same, but used to temp moves when creating final list */
extern HX_FDInfo *hx_tmp_dfinfo;
extern int hx_nb_tmp_dfinfo;




/** functions **/
/* insert the given name in the function list */
unsigned int hx_insert_name(char *name, void *fnc);
char *hx_get_name_by_ptr(void *fnc, int nbinfo);
int hx_get_func_by_ptr(void *fnc, int nbinfo);
/* check if a given function is in the given list */
int hx_is_in_list(char *name, char **lst);


#endif /* __fncfunctions_h_ */
