#ifndef __fncnames_h_
#define __fncnames_h_


/** includes **/
#include <bfd.h>
#include "fnccommon.h"
#include "fnctools.h"
#include "fncmem.h"
#include "fncfunctions.h"



/** variables **/




/** functions **/
/* return pointer on beginning of file basename */
char *hx_get_basename(char *name);
/* add a 'm' before the name */
int hx_compute_new_name(char *buf, char *oname);
/* extract functions name from symbol addresses */
/* options: options of fncdump
   exec:    the executable name
   nbinfo:  number of entries in the symbol table
*/
int hx_extract_names(int options, char *exec, int nbinfo);


#endif /* __fncnames_h_ */
