#ifndef __fmcmalloc_h_
#define __fncmalloc_h_

/* hooks for malloc/free/realloc, to replace <mcheck.h> */
#include <malloc.h>
#include "fnccommon.h"
#include "fnctools.h"


/** variables **/
/* used to suspend memory tracing (during my own treatments) */
extern int hx_trace_suspend;
extern int hx_trace_memory;
extern int hx_trace_stack;  /* stack-size to be dropped in memory file */
extern FILE *hx_trace_file;  /* file for memory trace */
extern char hx_trace_buf[BUFSIZ];	/* stdio buffer for file */


/** functions **/
void hx_init_malloc();
void hx_draw_stack_memory();


#endif /* __fncmalloc_h_ */
