#ifndef __time_h_
#define __time_h_


#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
#include <sys/times.h>
#include <unistd.h>
#include <string.h>
#include <math.h>
#include "fnccommon.h"
#include "fnctools.h"



/* set the time mode */
inline int hx_set_time_type(char *type);
/* init the time system */
inline void hx_init_time();
/* my 'gettimeofday'. Returnsa 'timeval' structure containing
   the current time (in the good clock-mode) */
inline void hx_gettimeofday(struct timeval *tv);
/* substract d[u]sec to [u]sec */
inline void hx_substract_time(unsigned long int *sec,
                              unsigned long int *usec,
                              unsigned long int dsec,
                              unsigned long int dusec);
/* compute elapsed time between the two times */
inline void hx_compute_elapsed_time(unsigned long int sec1, unsigned long int usec1,
                         unsigned long int sec2, unsigned long int usec2,
			 long *secr, long *usecr);

#endif /*__time_h_*/
